### org.jfree.layouting.renderer.page

# Class RenderPageContext

- `java.lang.Object`
- - `org.jfree.layouting.renderer.page.RenderPageContext`

Implemented Interfaces:
  StatefullComponent

`public class RenderPageContext`
`extends java.lang.Object`
`implements StatefullComponent`

This is a running page context, which contains a list of watched strings and counters. Whenever one of these counters or strings change, a new page context is generated. This page context also contains the special 'page' counter. That counter is maintained by the system, initialized with '1' and is increased by the number of physical pages at every physical split.

Author:
  Thomas Morgner

  ## Constructor Summary

  `RenderPageContext()`

  `RenderPageContext(LayoutProcess layoutProcess, PageContext pageContext)`

  ## Method Summary

  `Object`

  `clone()`

  `PageGrid`

  `createPageGrid(OutputProcessorMetaData outputMetaData)`

  `Integer`

  `getCounter(String name, CSSValue pagePolicy)`

  `PageContext`

  `getPageContext()`

  `String`

  `getString(String name, CSSValue pagePolicy)`

  `State`

  `saveState()`

  `RenderPageContext`

  `update(LayoutContext layoutContext)`
    This method should check the layout context for updated counters and strings.

  `RenderPageContext`

  `update(PageContext pageContext, OutputProcessor outputProcessor)`

## Constructor Details

### RenderPageContext

    protected RenderPageContext()

### RenderPageContext

    public RenderPageContext(LayoutProcess layoutProcess,
                             PageContext pageContext)

## Method Details

### clone

    public Object clone()

### createPageGrid

    public PageGrid createPageGrid(OutputProcessorMetaData outputMetaData)

### getCounter

    public Integer getCounter(String name,
                              CSSValue pagePolicy)

### getPageContext

    public PageContext getPageContext()

### getString

    public String getString(String name,
                            CSSValue pagePolicy)

### saveState

    public State saveState()
                throws StateException

> Specified by:
>   saveState in interface StatefullComponent

### update

    public RenderPageContext update(LayoutContext layoutContext)

> This method should check the layout context for updated counters and strings.
> Parameters:
>   `layoutContext` -
> Returns:

### update

    public RenderPageContext update(PageContext pageContext,
                                    OutputProcessor outputProcessor)